ExternalUserMappingsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ExternalUserMappingsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ExternalUserMappingsResourceApi

-     public class ExternalUserMappingsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalUserMappingsResourceApi()`
    `ExternalUserMappingsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiExternalUserMappingList` | `createExternalUserMappings(ApiExternalUserMappingList body)` Creates a list of external user mappings.
    `com.squareup.okhttp.Call` | `createExternalUserMappingsAsync(ApiExternalUserMappingList body, ApiCallback<ApiExternalUserMappingList> callback)` Creates a list of external user mappings.
    `com.squareup.okhttp.Call` | `createExternalUserMappingsCall(ApiExternalUserMappingList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createExternalUserMappings
    `ApiResponse<ApiExternalUserMappingList>` | `createExternalUserMappingsWithHttpInfo(ApiExternalUserMappingList body)` Creates a list of external user mappings.
    `ApiExternalUserMapping` | `deleteExternalUserMapping(String uuid)` Deletes an external user mapping from the system.
    `com.squareup.okhttp.Call` | `deleteExternalUserMappingAsync(String uuid, ApiCallback<ApiExternalUserMapping> callback)` Deletes an external user mapping from the system.
    `com.squareup.okhttp.Call` | `deleteExternalUserMappingCall(String uuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteExternalUserMapping
    `ApiResponse<ApiExternalUserMapping>` | `deleteExternalUserMappingWithHttpInfo(String uuid)` Deletes an external user mapping from the system.
    `ApiClient` | `getApiClient()`
    `ApiExternalUserMapping` | `readExternalUserMapping(String uuid)` Returns detailed information about an external user mapping.
    `com.squareup.okhttp.Call` | `readExternalUserMappingAsync(String uuid, ApiCallback<ApiExternalUserMapping> callback)` Returns detailed information about an external user mapping.
    `com.squareup.okhttp.Call` | `readExternalUserMappingCall(String uuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readExternalUserMapping
    `ApiExternalUserMappingList` | `readExternalUserMappings(String view)` Returns a list of the external user mappings configured in the system.
    `com.squareup.okhttp.Call` | `readExternalUserMappingsAsync(String view, ApiCallback<ApiExternalUserMappingList> callback)` Returns a list of the external user mappings configured in the system.
    `com.squareup.okhttp.Call` | `readExternalUserMappingsCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readExternalUserMappings
    `ApiResponse<ApiExternalUserMappingList>` | `readExternalUserMappingsWithHttpInfo(String view)` Returns a list of the external user mappings configured in the system.
    `ApiResponse<ApiExternalUserMapping>` | `readExternalUserMappingWithHttpInfo(String uuid)` Returns detailed information about an external user mapping.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiExternalUserMapping` | `updateExternalUserMapping(String uuid, ApiExternalUserMapping body)` Updates the given external user mapping's information.
    `com.squareup.okhttp.Call` | `updateExternalUserMappingAsync(String uuid, ApiExternalUserMapping body, ApiCallback<ApiExternalUserMapping> callback)` Updates the given external user mapping's information.
    `com.squareup.okhttp.Call` | `updateExternalUserMappingCall(String uuid, ApiExternalUserMapping body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateExternalUserMapping
    `ApiResponse<ApiExternalUserMapping>` | `updateExternalUserMappingWithHttpInfo(String uuid, ApiExternalUserMapping body)` Updates the given external user mapping's information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalUserMappingsResourceApi

          public ExternalUserMappingsResourceApi()

    - #### ExternalUserMappingsResourceApi

          public ExternalUserMappingsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createExternalUserMappingsCall

          public com.squareup.okhttp.Call createExternalUserMappingsCall(ApiExternalUserMappingList body,
                                                                         ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for createExternalUserMappings
      Parameters:
        `body` - List of external user mappings to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createExternalUserMappings

          public ApiExternalUserMappingList createExternalUserMappings(ApiExternalUserMappingList body)
                                                                throws ApiException

      Creates a list of external user mappings. Creates a list of external user mappings
      Parameters:
        `body` - List of external user mappings to create. (optional)
      Returns:
        ApiExternalUserMappingList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createExternalUserMappingsWithHttpInfo

          public ApiResponse<ApiExternalUserMappingList> createExternalUserMappingsWithHttpInfo(ApiExternalUserMappingList body)
                                                                                         throws ApiException

      Creates a list of external user mappings. Creates a list of external user mappings
      Parameters:
        `body` - List of external user mappings to create. (optional)
      Returns:
        ApiResponse<ApiExternalUserMappingList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createExternalUserMappingsAsync

          public com.squareup.okhttp.Call createExternalUserMappingsAsync(ApiExternalUserMappingList body,
                                                                          ApiCallback<ApiExternalUserMappingList> callback)
                                                                   throws ApiException

      Creates a list of external user mappings. (asynchronously) Creates a list of external user mappings
      Parameters:
        `body` - List of external user mappings to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteExternalUserMappingCall

          public com.squareup.okhttp.Call deleteExternalUserMappingCall(String uuid,
                                                                        ProgressResponseBody.ProgressListener progressListener,
                                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                 throws ApiException

      Build call for deleteExternalUserMapping
      Parameters:
        `uuid` - The uuid of the external user mapping to delete. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteExternalUserMapping

          public ApiExternalUserMapping deleteExternalUserMapping(String uuid)
                                                           throws ApiException

      Deletes an external user mapping from the system. Deletes an external user mapping from the system. <p/>
      Parameters:
        `uuid` - The uuid of the external user mapping to delete. (required)
      Returns:
        ApiExternalUserMapping
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteExternalUserMappingWithHttpInfo

          public ApiResponse<ApiExternalUserMapping> deleteExternalUserMappingWithHttpInfo(String uuid)
                                                                                    throws ApiException

      Deletes an external user mapping from the system. Deletes an external user mapping from the system. <p/>
      Parameters:
        `uuid` - The uuid of the external user mapping to delete. (required)
      Returns:
        ApiResponse<ApiExternalUserMapping>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteExternalUserMappingAsync

          public com.squareup.okhttp.Call deleteExternalUserMappingAsync(String uuid,
                                                                         ApiCallback<ApiExternalUserMapping> callback)
                                                                  throws ApiException

      Deletes an external user mapping from the system. (asynchronously) Deletes an external user mapping from the system. <p/>
      Parameters:
        `uuid` - The uuid of the external user mapping to delete. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readExternalUserMappingCall

          public com.squareup.okhttp.Call readExternalUserMappingCall(String uuid,
                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for readExternalUserMapping
      Parameters:
        `uuid` - The external user mapping to read. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readExternalUserMapping

          public ApiExternalUserMapping readExternalUserMapping(String uuid)
                                                         throws ApiException

      Returns detailed information about an external user mapping. Returns detailed information about an external user mapping.
      Parameters:
        `uuid` - The external user mapping to read. (required)
      Returns:
        ApiExternalUserMapping
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readExternalUserMappingWithHttpInfo

          public ApiResponse<ApiExternalUserMapping> readExternalUserMappingWithHttpInfo(String uuid)
                                                                                  throws ApiException

      Returns detailed information about an external user mapping. Returns detailed information about an external user mapping.
      Parameters:
        `uuid` - The external user mapping to read. (required)
      Returns:
        ApiResponse<ApiExternalUserMapping>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readExternalUserMappingAsync

          public com.squareup.okhttp.Call readExternalUserMappingAsync(String uuid,
                                                                       ApiCallback<ApiExternalUserMapping> callback)
                                                                throws ApiException

      Returns detailed information about an external user mapping. (asynchronously) Returns detailed information about an external user mapping.
      Parameters:
        `uuid` - The external user mapping to read. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readExternalUserMappingsCall

          public com.squareup.okhttp.Call readExternalUserMappingsCall(String view,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for readExternalUserMappings
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readExternalUserMappings

          public ApiExternalUserMappingList readExternalUserMappings(String view)
                                                              throws ApiException

      Returns a list of the external user mappings configured in the system. Returns a list of the external user mappings configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiExternalUserMappingList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readExternalUserMappingsWithHttpInfo

          public ApiResponse<ApiExternalUserMappingList> readExternalUserMappingsWithHttpInfo(String view)
                                                                                       throws ApiException

      Returns a list of the external user mappings configured in the system. Returns a list of the external user mappings configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiExternalUserMappingList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readExternalUserMappingsAsync

          public com.squareup.okhttp.Call readExternalUserMappingsAsync(String view,
                                                                        ApiCallback<ApiExternalUserMappingList> callback)
                                                                 throws ApiException

      Returns a list of the external user mappings configured in the system. (asynchronously) Returns a list of the external user mappings configured in the system.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateExternalUserMappingCall

          public com.squareup.okhttp.Call updateExternalUserMappingCall(String uuid,
                                                                        ApiExternalUserMapping body,
                                                                        ProgressResponseBody.ProgressListener progressListener,
                                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                 throws ApiException

      Build call for updateExternalUserMapping
      Parameters:
        `uuid` - Uuid of the external user mapping being updated. (required)
        `body` - The external user mapping information. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateExternalUserMapping

          public ApiExternalUserMapping updateExternalUserMapping(String uuid,
                                                                  ApiExternalUserMapping body)
                                                           throws ApiException

      Updates the given external user mapping's information. Updates the given external user mapping's information.
      Parameters:
        `uuid` - Uuid of the external user mapping being updated. (required)
        `body` - The external user mapping information. (optional)
      Returns:
        ApiExternalUserMapping
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateExternalUserMappingWithHttpInfo

          public ApiResponse<ApiExternalUserMapping> updateExternalUserMappingWithHttpInfo(String uuid,
                                                                                           ApiExternalUserMapping body)
                                                                                    throws ApiException

      Updates the given external user mapping's information. Updates the given external user mapping's information.
      Parameters:
        `uuid` - Uuid of the external user mapping being updated. (required)
        `body` - The external user mapping information. (optional)
      Returns:
        ApiResponse<ApiExternalUserMapping>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateExternalUserMappingAsync

          public com.squareup.okhttp.Call updateExternalUserMappingAsync(String uuid,
                                                                         ApiExternalUserMapping body,
                                                                         ApiCallback<ApiExternalUserMapping> callback)
                                                                  throws ApiException

      Updates the given external user mapping's information. (asynchronously) Updates the given external user mapping's information.
      Parameters:
        `uuid` - Uuid of the external user mapping being updated. (required)
        `body` - The external user mapping information. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.